Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## prea.data.splitter
Class SimpleSplit

    java.lang.Object
      prea.data.splitter.DataSplitManager
          prea.data.splitter.SimpleSplit

    public class SimpleSplit

extends DataSplitManager

This class helps to split data matrix into train set and test set, based on the test set ratio defined by the user.

Since:
  2012. 4. 20
Version:
  1.1
Author:
  Joonseok Lee

Field Summary

Fields inherited from class prea.data.splitter.DataSplitManager
`itemCount, itemRateAverage, K_FOLD_CROSS_VALIDATION, maxValue, minValue, PREDEFINED_SPLIT, rateMatrix, SIMPLE_SPLIT, testMatrix, userCount, userRateAverage`

Constructor Summary
`SimpleSplit(SparseMatrix originalMatrix, double testRatio, int max, int min)` Construct an instance for simple splitter.

Method Summary
`private void` | `split(double testRatio)` Items which will be used for test purpose are moved from rateMatrix to testMatrix.

Methods inherited from class prea.data.splitter.DataSplitManager
`calculateAverage, getItemRateAverage, getTestMatrix, getUserRateAverage, recoverTestItems`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSplit

    public SimpleSplit(SparseMatrix originalMatrix,
                       double testRatio,
                       int max,
                       int min)

  Construct an instance for simple splitter.

Method Detail

### split

    private void split(double testRatio)

  Items which will be used for test purpose are moved from rateMatrix to testMatrix.

  Parameters:
    `testRatio` - proportion of items which will be used for test purpose.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD